﻿@using Jumbula.Common.Constants

@{
    ViewBag.Title = "Confirm Email Success";

    bool showRedirectButton = false;

    bool doNotShowRedirectButton = ViewBag.DonotShowRedirectButton != null && ViewBag.DonotShowRedirectButton;

    showRedirectButton = !doNotShowRedirectButton && User.Identity.IsAuthenticated;
}

<section class="container page-confirm text-center">
    <div class="row-fluid">

        <div class="span7">
            <div class="txt">
                <h1>Congratulations!</h1>
                <h2>@ViewBag.Message</h2>

                @if (showRedirectButton)
                {
                    <p>You will be redirected in <span id="dCountDown"></span> seconds</p>
                    <a class="btn btn-success btn-large" href=@Constants.Jumbula_Dashbaord_Url>Click here to continue</a>
                }
                
            </div>
        </div>
    </div>
</section>

@if (User.Identity.IsAuthenticated)
{
    <script type="text/javascript">
        var countDownVal = 30;
        $('#dCountDown').html(countDownVal);
        var timer1 = setInterval(function () { myTimer() }, 1000);
        function myTimer() {
            countDownVal--;
            $('#dCountDown').html(countDownVal)
            if (countDownVal == 0) {
                clearInterval(timer1);
                window.location = "@ViewBag.ReturnUrl";
            }
        }
    </script>
}
